export const groupFilter = (row, columnId, value) => {
    const group = row.getValue(columnId);
    if (group.responseType === "RUNNERORGANIZATION") {
        return group.name.toLowerCase().includes(value.toLowerCase());
    } else if (value.includes(">")) {
        return (
            `${group.parentGroup.name} > ${group.name}`.toLowerCase().includes(value.toLowerCase())
        );
    } else {
        return (
            group.name.toLowerCase().includes(value.toLowerCase()) ||
            group.parentGroup.name.toLowerCase().includes(value.toLowerCase())
        );
    }
};
export const runnerFilter = (row, columnId, value) => {
    const runner = row.getValue(columnId);
    if(!runner && value == "blanko"){return true}
    if(!runner){return false}

    if(value.startsWith("#")){
        return runner.id == value.replace("#","")
    }

    if(runner.middlename){
        return `${runner.firstname} ${runner.middlename} ${runner.lastname}`.toLowerCase().includes(value.toLowerCase())
    }
    return `${runner.firstname} ${runner.lastname}`.toLowerCase().includes(value.toLowerCase())
};

export const statusFilter = (row, columnId, value) => {
    const status = row.getValue(columnId);
    return status.toString().includes(value);
};